<div class="docs-primary-header component-page-header">
  <mat-chip-list>
    <mat-chip>
      <mat-icon>home</mat-icon>
      <a routerLink="/dashboard">Home</a>/Vehicles
    </mat-chip>
  </mat-chip-list>
</div>

<button mat-fab class="float-button" routerLink="/addvehicles">
  <mat-icon matTooltip="Add Vehicle">add</mat-icon>
</button>
<button mat-fab class="float-button2" (click)="all_products()">
    <mat-icon matTooltip="Refresh">refresh</mat-icon>
  </button> 

<div style="padding:15px;" class="appereance">
  <div class="title mat-elevation-z2">
    <div class="filter-css">
      <span>VEHICLES</span> <div style="flex-grow:1;"></div>
      <a routerLink="/deleted-car" style="font-size: 16px;padding-top: 9px;">Deleted Vehicles</a>&nbsp;
      <button mat-raised-button style="cursor: pointer;" (click)="delete()" color="accent">DELETE</button>&nbsp;&nbsp; 
     
    </div>
    <form [formGroup]="productForm" class="form-horizontal">
        <!-- <div class="row"> -->
            <div class="col-md-12 row">
                <div class="col-md-1">
                    <label class="control-label "> Select Excel</label>
                </div>
                
                <div class="col-md-6"> 
                    <input type="file" class="form-control" required (change)="onChange($event)" />
                </div>
                <div class="col-md-5">
                    <button (click)="UploadExcel()" class="btn btn-success">Upload Excel </button>&nbsp;
                    <a (click)="downloadexcel()" class="btn btn-danger">Download Excel </a>
                </div>
            </div>
        <!-- </div> -->

      </form>
    
    <div class="example-header">
      <!-- <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
      </mat-form-field> -->
    <form [formGroup]="searchForm" (ngSubmit)="onSubmit()">
<div class="col-md-12 row">
        <div class="col-md-3">
            <mat-form-field>
                <mat-select  placeholder="make" [formControl]="searchForm.controls['make_id']">
                  <!-- <mat-option>None</mat-option> -->
                  <!-- <mat-option  value="Admin">Admin</mat-option>
                  <mat-option  value="Manufacturer">Manufacturer</mat-option>
                  <mat-option  value="Distributor">Distributor</mat-option> -->
                  <mat-option *ngFor="let make of posts1" [value]="make.make_id">{{make.make_name}}</mat-option>

                </mat-select>
              </mat-form-field>
            </div>
            <div class="col-md-3">
                <mat-form-field>
                    <mat-select placeholder="model" [formControl]="searchForm.controls['model_id']">
                      <!-- <mat-option>None</mat-option> -->
                      <!-- <mat-option  value="Admin">Admin</mat-option>
                      <mat-option  value="Manufacturer">Manufacturer</mat-option>
                      <mat-option  value="Distributor">Distributor</mat-option> -->
                      <mat-option *ngFor="let model of posts2" [value]="model.model_id">{{model.model_name}}</mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
                <div class="col-md-3">
                    <mat-form-field>
                        <mat-select placeholder="sub_model" [formControl]="searchForm.controls['sub_model_id']">
                          <!-- <mat-option>None</mat-option> -->
                          <!-- <mat-option  value="Admin">Admin</mat-option>
                          <mat-option  value="Manufacturer">Manufacturer</mat-option>
                          <mat-option  value="Distributor">Distributor</mat-option> -->
                <mat-option *ngFor="let sub_model of posts3" [value]="sub_model.sub_model_id">{{sub_model.sub_model_name}}</mat-option>
                        </mat-select>
                      </mat-form-field>
                    </div>
                    <div class="col-md-3">
              <button mat-raised-button type="submit" class="btn btn-circle green" color="accent">search</button>
                        </div>
          </div>
    </form>
    </div>
  </div>

  <div class="flex-container">

    <div *ngFor="let vehicle of posts" class="col-md-2 colmd3">
      <mat-card class="example-card">
        <mat-toolbar class="cardtitle">
          <span class="ellipsis">{{vehicle.make_name}} {{vehicle.model_name}} {{vehicle.variant_name}}</span>
          <div style="flex-grow:1;"></div>
        </mat-toolbar>
        <mat-card-content>

          <div class="overflow">
            <p>
              <b>Model Version:</b> {{vehicle.variant_name}}
              <br>
              <b>Model Year:</b> {{vehicle.year_name}}
              <br>
              <b>Sub-Model:</b> {{vehicle.sub_model_name}}
              <br>
              <b>VIN:</b> {{vehicle.vin}}
              <br>
              <b>CC:</b> {{vehicle.cc}}
              <br>
              <b>Engine:</b> {{vehicle.engine}}
              <br>
              <b>Power:</b> {{vehicle.power}} kW
              <br>
              <b>Cylinder:</b> {{vehicle.cylinder}}
              <br>
              <b>Valves:</b> {{vehicle.valves}}
              <br>
              <b>Cam Type:</b> {{vehicle.cam_type}}
              <br>
              <b>Vehicle Type:</b> {{vehicle.vehicle_type}}
              <br>
              <b>Drive:</b> {{vehicle.drive}}
              <br>
              <b>Fuel:</b> {{vehicle.fuel}}
              <br>
              <b>Fuel Type:</b> {{vehicle.fuel_type}}
              <br>
              <b>Timing:</b> {{vehicle.timing}}
              <br>
              <b>Turbo Type:</b> {{vehicle.turbo_type}}
              <br>
              <b>Country:</b> {{vehicle.country}}
              <!-- <br>
            <b>Additional Data:</b> {{vehicle.description}} -->
            </p>
          </div>

          <div style="padding: 15px;">
            <mat-accordion>
              <mat-expansion-panel style="box-shadow: none;">
                <mat-expansion-panel-header>
                  <mat-panel-description>
                    Body Data
                  </mat-panel-description>
                </mat-expansion-panel-header>
                <p style="word-wrap: break-word;">
                  <b>Body Type:</b> {{vehicle.body_data.body_type}}
                  <br>
                  <b>No Of Doors:</b> {{vehicle.body_data.no_of_doors}}
                  <br>
                  <b>No Of Seats:</b> {{vehicle.body_data.no_of_seats}}
                  <br>
                  <b>Engine Place:</b> {{vehicle.body_data.engine_place}}
                  <br>
                  <b>Drivetrain:</b> {{vehicle.body_data.drivetrain}}
                  <br>
                  <b>Wheel Base:</b> {{vehicle.body_data.wheel_base}} mm
                  <br>
                  <b>Track front:</b> {{vehicle.body_data.track_front}} mm
                  <br>
                  <b>Track rear:</b> {{vehicle.body_data.track_rear}} mm
                  <br>
                  <b>Length:</b> {{vehicle.body_data.length}} mm
                  <br>
                  <b>Width:</b> {{vehicle.body_data.width}} mm
                  <br>
                  <b>Height:</b> {{vehicle.body_data.height}} mm
                  <br>
                  <b>Curb weight:</b> {{vehicle.body_data.curb_weight}} kg
                  <br>
                  <b>Gross weight:</b> {{vehicle.body_data.gross_weight}} kg
                  <br>
                  <b>Roof load:</b> {{vehicle.body_data.roof_load}} kg
                  <br>
                  <b>Cargo space:</b> {{vehicle.body_data.cargo_space}} litres
                  <br>
                  <b>Tow weight:</b> {{vehicle.body_data.tow_weight}} kg
                  <br>
                  <b>Gas tank:</b> {{vehicle.body_data.gas_tank}} litres
                </p>
              </mat-expansion-panel>

              <mat-expansion-panel style="box-shadow: none;">
                <mat-expansion-panel-header>
                  <mat-panel-description>
                    Engine Data
                  </mat-panel-description>
                </mat-expansion-panel-header>
                <p style="word-wrap: break-word;">
                  <b>Cylinders:</b> {{vehicle.engine_data.cylinders}}
                  <br>
                  <b>Displacement:</b> {{vehicle.engine_data.displacement}}
                  <br>
                  <b>Power Kw:</b> {{vehicle.engine_data.power_kw}}
                  <br>
                  <b>Power Ps:</b> {{vehicle.engine_data.power_ps}}
                  <br>
                  <b>Power rpm:</b> {{vehicle.engine_data.power_rpm}}
                  <br>
                  <b>Torque nm:</b> {{vehicle.engine_data.torque_nm}}
                  <br>
                  <b>Torque rpm:</b> {{vehicle.engine_data.torque_rpm}}
                  <br>
                  <b>Bore x Stroke:</b> {{vehicle.engine_data.bore_x_stroke}}
                  <br>
                  <b>Compression Ratio:</b> {{vehicle.engine_data.compression_ratio}}
                  <br>
                  <b>Valves Per Cylinder:</b> {{vehicle.engine_data.valves_per_cylinder}}
                  <br>
                  <b>Crank Shaft:</b> {{vehicle.engine_data.crank_shaft}}
                  <br>
                  <b>Fuel Injection:</b> {{vehicle.engine_data.fuel_injection}}
                  <br>
                  <b>Supercharger:</b> {{vehicle.engine_data.supercharger}}
                  <br>
                  <b>Catalytic:</b> {{vehicle.engine_data.catalytic}}
                  <br>
                  <b>Manual:</b> {{vehicle.engine_data.manual}}
                  <br>
                  <b>Automatic:</b> {{vehicle.engine_data.automatic}}
                </p>
              </mat-expansion-panel>

              <mat-expansion-panel style="box-shadow: none;">
                <mat-expansion-panel-header>
                  <mat-panel-description>
                    Drivetrain Data
                  </mat-panel-description>
                </mat-expansion-panel-header>
                <p style="word-wrap: break-word;">
                  <b>Suspension Front:</b> {{vehicle.drivetrain_data.suspension_front}}
                  <br>
                  <b>Suspension Rear:</b> {{vehicle.drivetrain_data.suspension_rear}}
                  <br>
                  <b>Assisted Steering:</b> {{vehicle.drivetrain_data.assisted_steering}}
                  <br>
                  <b>Turning Circle:</b> {{vehicle.drivetrain_data.turning_circle}}
                  <br>
                  <b>Brakes Front:</b> {{vehicle.drivetrain_data.brakes_front}}
                  <br>
                  <b>Brakes Rear:</b> {{vehicle.drivetrain_data.brakes_rear}}
                  <br>
                  <b>ABS:</b> {{vehicle.drivetrain_data.abs}}
                  <br>
                  <b>ESP:</b> {{vehicle.drivetrain_data.esp}}
                  <br>
                  <b>Tire Size:</b> {{vehicle.drivetrain_data.tire_size}}
                </p>
              </mat-expansion-panel>

              <mat-expansion-panel style="box-shadow: none;">
                <mat-expansion-panel-header>
                  <mat-panel-description>
                    Performance Data
                  </mat-panel-description>
                </mat-expansion-panel-header>
                <p class="content">
                  <b>0-100:</b> {{vehicle.performance_data.zero_to_hundred}} sec
                  <br>
                  <b>Max Speed:</b> {{vehicle.performance_data.max_speed}} km/h
                  <br>
                  <b>Fuel Efficiency:</b> {{vehicle.performance_data.fuel_efficiency}}
                  <br>
                  <b>Engine Type:</b> {{vehicle.performance_data.engine_type}}
                  <br>
                  <b>Fuel Type:</b> {{vehicle.performance_data.fuel_type}}
                </p>
              </mat-expansion-panel>

            </mat-accordion>
          </div>
        </mat-card-content>

        <mat-toolbar class="card-footer">
            <mat-checkbox (change)="sendIDS($event.checked,vehicle.vehicle_id)" color="primary"></mat-checkbox>
          <div style="flex-grow:1;"></div>
          <button mat-icon-button routerLink="/editvehicle/{{vehicle.vehicle_id}}">
            <mat-icon matTooltip="Edit" style="color:grey">
              <a>edit</a>
            </mat-icon>
          </button>
        </mat-toolbar>

        <!-- <mat-card-actions style="border-top: 1px solid lightgray; background: #F7F7F2;">
        <button mat-icon-button>
          <img src="./assets/img/edit.png" height="28px" width="28px" matTooltip="Edit Vehicle" routerLink="/editvehicle/{{vehicle.vehicle_id}}">
        </button>
        <button mat-icon-button>
          <img src="./assets/img/delete.png" height="28px" width="28px" matTooltip="Delete Vehicle">
        </button>
      </mat-card-actions> -->
      </mat-card>
      <!-- <div class="cardtitle mat-elevation-z2">
        <span>{{vehicle.make}} {{vehicle.model}}</span>
      </div> -->
    </div>





















    <!-- <div *ngIf="finished == 'true'" class="col-md-12" style="align-items: center;padding: 25px;">
      <mat-spinner [diameter]="40"></mat-spinner>
    </div>
    <div *ngIf="finished == 'false'" class="col-md-12" style="text-align: center;padding: 50px; font-size: 20px; color: #414EB0">
      End of results!
    </div>
    <div *ngIf="finished == 'undefined'" class="col-md-12" style="text-align: center;padding: 50px; font-size: 20px; color: #414EB0">
      No data to show!
    </div> -->
  </div>
</div>